twitter4j

## Class HttpClientFactory

- java.lang.Object
- - twitter4j.HttpClientFactory

    public final class HttpClientFactory
    extends Object

Since:
  Twitter4J 2.1.2
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`HttpClientFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HttpClient` `getInstance()`
`static HttpClient` `getInstance(HttpClientConfiguration conf)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientFactory

    public HttpClientFactory()

### Method Detail

#### getInstance

    public static HttpClient getInstance()

#### getInstance

    public static HttpClient getInstance(HttpClientConfiguration conf)